VERSION 5.00
Object = "{174ADFA0-AF90-11D2-9F81-00104B2225C5}#3.22#0"; "ImmWeb.ocx"
Begin VB.Form Form1 
   Caption         =   "Using the Immersion Plugin in Visual Basic 6"
   ClientHeight    =   4650
   ClientLeft      =   60
   ClientTop       =   345
   ClientWidth     =   9315
   Icon            =   "VBSample2.frx":0000
   LinkTopic       =   "Form1"
   ScaleHeight     =   4650
   ScaleWidth      =   9315
   StartUpPosition =   3  'Windows Default
   Begin VB.ListBox EffectName 
      Height          =   1035
      Left            =   600
      TabIndex        =   8
      Top             =   840
      Width           =   4095
   End
   Begin VB.FileListBox FileList 
      Height          =   1455
      Left            =   6240
      Pattern         =   "*.ifr"
      TabIndex        =   6
      Top             =   2880
      Width           =   2775
   End
   Begin VB.DirListBox DirList 
      Height          =   1665
      Left            =   6240
      TabIndex        =   5
      Top             =   1080
      Width           =   2775
   End
   Begin VB.DriveListBox DriveList 
      Height          =   315
      Left            =   6240
      TabIndex        =   4
      Top             =   600
      Width           =   2775
   End
   Begin VB.CommandButton LoadIFRButton 
      Caption         =   "Load IFR"
      Height          =   375
      Left            =   4920
      TabIndex        =   3
      Top             =   360
      Width           =   855
   End
   Begin VB.TextBox IFRPath 
      Height          =   375
      Left            =   600
      TabIndex        =   2
      Text            =   "<IFR File:  Enter path manually or Browse at right>"
      Top             =   360
      Width           =   4095
   End
   Begin VB.CommandButton StopButton 
      Caption         =   "Stop the Effect"
      Height          =   1815
      Left            =   600
      TabIndex        =   1
      Top             =   2640
      Width           =   4095
   End
   Begin VB.CommandButton PlayButton 
      Caption         =   "Play the Effect"
      Height          =   495
      Left            =   600
      TabIndex        =   0
      Top             =   2040
      Width           =   4095
   End
   Begin ImmWebLibCtl.ImmWebControl ImmWebControl1 
      Left            =   5160
      Top             =   3600
      DeviceFlag      =   0
   End
   Begin VB.Label Label1 
      Caption         =   "Select the desired IFR file:"
      Height          =   255
      Left            =   6240
      TabIndex        =   7
      Top             =   360
      Width           =   2655
   End
End
Attribute VB_Name = "Form1"
Attribute VB_GlobalNameSpace = False
Attribute VB_Creatable = False
Attribute VB_PredeclaredId = True
Attribute VB_Exposed = False



Dim glngReference As Long 'Reference to effect resource file
Dim gstrIFRPath As String 'Path to directory containing file

Private Sub DirList_Change()
  FileList.Path = DirList.Path
End Sub

Private Sub DriveList_Change()
  DirList.Path = DriveList.Drive
End Sub

Private Sub FileList_Click()
  gstrIFRPath = FileList.Path
  IFRPath.Text = (FileList.FileName)
End Sub

Private Sub IFRPath_Change()
  EffectName.Clear 'Clear the EffectName list
End Sub

Private Sub LoadIFRButton_Click()
  If IFRPath.Text <> "" And Left(IFRPath.Text, 1) <> "<" Then '
    EffectName.Clear 'Clear the EffectName list
    
    'Open the chosen effect resource file
    glngReference = ImmWebControl1.OpenForceResource(gstrIFRPath + "\" + IFRPath.Text)
    If glngReference >= 0 Then
        
        'Populate the EffectName list
        numEffects = ImmWebControl1.GetNumberOfEffects(glngReference)
        For Counter = 0 To (numEffects - 1)
          EffectName.AddItem (ImmWebControl1.GetNameOfEffect(Counter, glngReference))
        Next
    End If
  End If
End Sub

Private Sub PlayButton_Click()
  If EffectName.Text <> "" Then
    'Play the effect selected in the list box
    success = ImmWebControl1.StartEffect(EffectName.Text, glngReference)
  End If
End Sub

Private Sub StopButton_Click()
  'Stop playing the effect selected in the list box
  success = ImmWebControl1.StopEffect(EffectName.Text, glngReference)
End Sub
