VERSION 5.00
Begin VB.Form Form1 
   Caption         =   "Hello Dynamic VB TouchSense!"
   ClientHeight    =   1125
   ClientLeft      =   5940
   ClientTop       =   4770
   ClientWidth     =   3960
   LinkTopic       =   "Form1"
   ScaleHeight     =   1125
   ScaleWidth      =   3960
   Begin VB.CommandButton Play 
      Caption         =   "Play"
      Height          =   375
      Left            =   1320
      TabIndex        =   0
      Top             =   360
      Width           =   1335
   End
End
Attribute VB_Name = "Form1"
Attribute VB_GlobalNameSpace = False
Attribute VB_Creatable = False
Attribute VB_PredeclaredId = True
Attribute VB_Exposed = False
' COPIED FROM MSDN WEBSITE: http://support.microsoft.com/support/kb/articles/Q174/1/56.ASP
Private Const SW_SHOW = 5       ' Displays Window in its current size
                                ' and position
Private Const SW_SHOWNORMAL = 1 ' Restores Window if Minimized or
                                ' Maximized

Private Declare Function ShellExecute Lib "shell32.dll" Alias _
    "ShellExecuteA" (ByVal hwnd As Long, ByVal lpOperation As _
    String, ByVal lpFile As String, ByVal lpParameters As String, _
    ByVal lpDirectory As String, ByVal nShowCmd As Long) As Long

Private Declare Function FindExecutable Lib "shell32.dll" Alias _
    "FindExecutableA" (ByVal lpFile As String, ByVal lpDirectory As _
    String, ByVal lpResult As String) As Long
'END COPIED FROM MSDN WEBSITE


Dim ImmWebControl1 As Object
Dim glngReference As Long

Private Sub Form_Load()
' The following line required to avoid "couldn't make object" errors
On Error Resume Next
' Dynamically create Immersion Web ActiveX Control object
Set ImmWebControl1 = CreateObject("Immersion.ImmWebControl")
' Check if object was created successfully
' If not, let user know and give the option to install from the web
If ImmWebControl1 Is Nothing Then
    Dim Msg, Style, Title, Help, Ctxt, Response, MyString
    Msg = "This program requires the Immersion Web Plugin to run properly." & Chr(13) & Chr(13) & "Would you like to download the Immersion Web Plugin now?"     ' Define message.
    Style = vbYesNo + vbExclamation + vbDefaultButton1   ' Define buttons.
    Title = "Immersion Web Plugin Not Found"   ' Define title.
    Response = MsgBox(Msg, Style, Title, Help, Ctxt)
    If Response = vbYes Then   ' User chose Yes.
        ' FROM MSDN WEBSITE: http://support.microsoft.com/support/kb/articles/Q174/1/56.ASP
        Dim FileName, Dummy As String
        Dim BrowserExec As String * 255
        Dim RetVal As Long
        Dim FileNumber As Integer
        ' First, create a known, temporary HTML file
        BrowserExec = Space(255)
        FileName = "C:\temphtm.HTM"
        FileNumber = FreeFile                    ' Get unused file number
        Open FileName For Output As #FileNumber  ' Create temp HTML file
           Write #FileNumber, "<HTML> <\HTML>"   ' Output text
        Close #FileNumber                        ' Close file
        ' Then find the application associated with it
        RetVal = FindExecutable(FileName, Dummy, BrowserExec)
        BrowserExec = Trim(BrowserExec)
        ' If an application is found, launch it!
        If RetVal <= 32 Or IsEmpty(BrowserExec) Then ' Error
            MsgBox "Could not find associated Browser", vbExclamation, _
                "Browser Not Found"
        Else
            RetVal = ShellExecute(Me.hwnd, "open", BrowserExec, _
                "http://www.immersion.com/plugins/install_plugins.html", Dummy, SW_SHOWNORMAL)
            If RetVal <= 32 Then        ' Error
                MsgBox "Web Page not Opened", vbExclamation, "URL Failed"
            End If
        End If
        Kill FileName                   ' delete temp HTML file
        'END FROM MSDN WEBSITE
    End If
    ' If the object wasn't created, there's no point in continuing
    Unload Form1
End If
If Not (ImmWebControl1 Is Nothing) Then
    ImmForceOn = ImmWebControl1.TouchSenseDeviceAttached()
    If ImmForceOn Then
        ' TouchSenseDeviceAttached() returned true; no worries.
    Else
        MsgBox "You must have an Immersion TouchSense pointing device attached to feel this application."
        ' If a device isn't attached, there's no point in continuing
        Unload Form1
    End If
    ' If the object was created and a device is attached,
    ' open the IFR file containing your sensations.
    glngReference = ImmWebControl1.OpenForceResource(App.Path & "\Hello.ifr")
End If
End Sub

Private Sub Play_Click()
If (glngReference >= -1) Then
    success = ImmWebControl1.StartEffect("MyEffect", glngReference)
End If
End Sub

